diff --git a/Messages.sh b/Messages.sh
index bd745f2..a3a0614 100755
--- a/Messages.sh
+++ b/Messages.sh
@@ -1,5 +1,6 @@
 #!/bin/sh
 dirs="krusader krArc iso"
 $EXTRACTRC `find . -name \*.rc -o -name \*.ui` >> rc.cpp || exit 11
+$EXTRACTRC --tag-group=none --tag=title --tag=category --tag=tooltip --tag=description krusader/useraction_examples.xml >> rc.cpp
 $XGETTEXT rc.cpp `find $dirs -name \*.cpp -o -name \*.cc -o -name \*.c -o -name \*.h` -o $podir/krusader.pot
 rm -f rc.cpp
diff --git a/krusader/UserAction/kraction.cpp b/krusader/UserAction/kraction.cpp
index fa89d43..f6f793f 100644
--- a/krusader/UserAction/kraction.cpp
+++ b/krusader/UserAction/kraction.cpp
@@ -456,19 +456,19 @@ bool KrAction::xmlRead(const QDomElement& element)
             continue; // this should skip nodes which are not elements ( i.e. comments, <!-- -->, or text nodes)
 
         if (e.tagName() == "title")
-            setText(e.text());
+            setText(i18n(e.text().toUtf8().constData()));
         else
             if (e.tagName() == "tooltip")
-                setToolTip(e.text());
+                setToolTip(i18n(e.text().toUtf8().constData()));
             else
                 if (e.tagName() == "icon")
                     setIcon(QIcon::fromTheme(_iconName = e.text()));
                 else
                     if (e.tagName() == "category")
-                        setCategory(e.text());
+                        setCategory(i18n(e.text().toUtf8().constData()));
                     else
                         if (e.tagName() == "description")
-                            setWhatsThis(e.text());
+                            setWhatsThis(i18n(e.text().toUtf8().constData()));
                         else
                             if (e.tagName() == "command")
                                 readCommand(e);
